It seems like your browser didn't download the required fonts. Please revise your security settings and try again.
Barracuda Reference / FAQ

Does the Email Security Gateway's Outlook plug-in work with Microsoft Vista?

  • Type: Knowledgebase
  • Date changed: one year ago
Solution #00001435

Scope:
This solution applies to all Email Security Gateways.

Answer:
Yes, Barracuda Outlook Plug-in versions 2.1.0.5 and above work with Microsoft Vista and Outlook 2007. The plugin version can be found on the licensing screen when installing the plugin, or in Microsoft Outlook by viewing the Email Security Gateway tab in the Options window. The version number will be located in the bottom-right corner of the window.

As of writing (2008-07-17), version 2.1.0.9 is currently available for download from Email Security Gateways on firmware versions 3.5.11.020 and later.

Additional Notes:
Alternatively, you can download the latest plugin versions here:

http://update10.barracudanetworks.com/downloads/

Link to This Page:
https://campus.barracuda.com/solution/50160000000GSE2AAO